Loading...
Searching...
No Matches
Basis

## Classes

class | gtsam::Basis< DERIVED >
| CRTP Base class for function bases. More...
class | gtsam::EvaluationFactor< BASIS >
| Factor for enforcing the scalar value of the polynomial BASIS representation at x is the same as the measurement z when using a pseudo-spectral parameterization. More...
class | gtsam::VectorEvaluationFactor< BASIS, M >
| Unary factor for enforcing BASIS polynomial evaluation on a ParameterMatrix of size (M, N) is equal to a vector-valued measurement at the same point, when using a pseudo-spectral parameterization. More...
class | gtsam::VectorComponentFactor< BASIS, P >
| Unary factor for enforcing BASIS polynomial evaluation on a ParameterMatrix of size (P, N) is equal to specified measurement at the same point, when using a pseudo-spectral parameterization. More...

## Functions

template<size_t M>
Matrix | gtsam::kroneckerProductIdentity (const Weights &w)
| Function for computing the kronecker product of the 1*N Weight vector w with the MxM identity matrix I efficiently.

## Detailed Description

## Function Documentation

## kroneckerProductIdentity()

template<size_t M>

Matrix gtsam::kroneckerProductIdentity | ( | const Weights & | w | ) |

Function for computing the kronecker product of the 1*N Weight vector w with the MxM identity matrix I efficiently.

The main reason for this is so we don't need to use Eigen's Unsupported library.

Template Parameters

  M | Size of the identity matrix.

Parameters

  w | The weights of the polynomial.

Returns
  Mx(M*N) kronecker product [w(0)*I, w(1)*I, ..., w(N-1)*I]